<template>
  <item-grid class="-my-6">
    <template v-for="(item, index) in items">
      <concept-item
        :key="index"
        v-bind="item"
        class="max-w-lg my-6 lg:mx-6"
        :class="{ 'lg:max-w-xl xl:flex-1 xl:max-w-full': maxColumns > 2 }"
      />
    </template>
  </item-grid>
</template>

<script>
import ConceptItem from './ConceptItem';

export default {
  name: 'ConceptItemGrid',
  components: {
    ConceptItem,
  },
  props: {
    items: { type: Array, default: () => [] },
    maxColumns: { type: Number, default: 2 },
  },
};
</script>
